###############################################################
#                                                             #
#  MAKEFILE for Eden resource compiler                        #
#                                                             #
#  MSVC 6.0                                                   #
#                                                             #
#  Execute with Microsoft (or compatible) NMAKE               #
#                                                             #
###############################################################

CPU = i386
TARGETOS = WIN95

!include <ntwin32.mak>

all: q.exe

#
# Q
#

QHDR = mesh.h \
       fpmath.h \
       quake.h \
       object.h \
       system.h \
       typedefs.h \
       stdtpl.h

q.exe: q.obj       \
       w32gl.obj   \
       font.obj    \
       fpmath.obj  \
       mesh.obj    \
       system.obj  \
       object.obj 
      $(link) $(ldebug) $(guiflags) -out:q.exe -map \
         $(guilibs)  \
         q.obj       \
         w32gl.obj   \
         font.obj    \
         fpmath.obj  \
         mesh.obj    \
         system.obj  \
         object.obj  \
         winmm.lib

q.obj: q.cpp $(QHDR)
   $(cc) $(cflags) $(cdebug) $(cvars) q.cpp

fpmath.obj: fpmath.cpp $(QHDR)
    $(cc) $(cdebug) $(cflags) $(cvars) fpmath.cpp /Fofpmath.obj

mesh.obj: mesh.cpp $(QHDR)
    $(cc) $(cdebug) $(cflags) $(cvars) mesh.cpp /Fomesh.obj

object.obj: object.cpp $(QHDR)
    $(cc) $(cdebug) $(cflags) $(cvars) object.cpp /Foobject.obj

system.obj: system.cpp
    $(cc) $(cdebug) $(cflags) $(cvars) system.cpp /Fosystem.obj

w32gl.obj: w32gl.cpp
   $(cc) $(cflags) $(cdebug) $(cvars) w32gl.cpp

font.obj: font.cpp
   $(cc) $(cflags) $(cdebug) $(cvars) font.cpp
