//****************************************************************************
//*                                                                          *
//* SYSTEM.H: General-purpose system routines (non-member)                   *
//*                                                                          *
//* 32-bit protected-mode source compatible with MSVC 12                     *
//*                                                                          *
//* Version 1.00 of 29-Jun-99: Initial                                       *
//*                                                                          *
//* Author: John Miles                                                       *
//*                                                                          *
//############################################################################
//##                                                                        ##
//## Released to the public domain 12/15/99 by John Miles (jmiles@pop.net)  ##
//## No restrictions are placed on use or distribution of any of this code. ##
//##                                                                        ##
//############################################################################

#ifndef SYSTEM_H
#define SYSTEM_H

//
// Misc. utility macros
//

#define ARY_CNT(x) (sizeof((x)) / sizeof((x)[0]))

#include "typedefs.h"         

// ------------------------------------
// Non-member library functions
// ------------------------------------

U32         *fill_U32    (void *dest,        // memset() clone for U32 values
                          U32   ch,
                          U32   cnt);

S32          log2        (U32 value);        // Return base-2 logarithm (or -1 if not integral power of 2)

void __cdecl debug_printf(C8 *fmt, ...);     // Output to debug TTY

void __cdecl alert_box   (C8 *caption,       // Message box with 'OK' button
                          C8 *fmt, ...);

#endif

